Bug 1010510 - bluetooth audio kills wlan
bluetooth audio kills wlan
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 19:25 EDT by Christian Tacke
Modified: 2014-11-05 19:29 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-05 19:29:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Tacke 2013-09-20 19:25:46 EDT
Description of problem:
When I stream audio via a bluetooth connection the wlan dies on me so I don't have a working connection any more. I have a Intel Corporation Centrino Wireless-N 1030 [Rainbow Peak] (rev 34) module in my notebook. This worked like charming some months ago (though don't know when, but maybe half a year). I don't even know where to look for further information to debug this problem as all logs I have looked at didn't show any related information (so it seems to me)



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Connect to WLAN
2.ping website
3.stream audio via bluetooth

Actual results:
wlan connection dies

Expected results:
wlan connections doesn't die


Additional info:
-Intel Corporation Centrino Wireless-N 1030 [Rainbow Peak] (rev 34)
-worked not so long ago.
-audio streaming works
Comment 1 Justin M. Forbes 2014-01-03 17:12:16 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 2 Christian Tacke 2014-01-16 15:30:58 EST
Still there. Though it got a little better. But this might be because this bug is and was inconsistent in its severity.

What I experienced today:
Play Audio, Ping running.
Connecting Bluetooth dongle.
Audio automagically switches over to dongle.
no packets comming through for like 10s, but then back to normal
changing song
ping latency goes up from 130ms to 1200ms, but only three packets
then all good
changing song
same, but takes a little longer to "recover", latency up to 3000ms
next song
latency goes up to 3000ms, stays there.
next song.
gets worse.
break down.
stopping audio
takes about a minute to recover
Comment 3 Justin M. Forbes 2014-02-24 09:04:40 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 4 Christian Tacke 2014-03-01 06:03:35 EST
Still there...

Seems to be some shared ressource issue?
Comment 5 Justin M. Forbes 2014-05-21 15:41:16 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.14.4-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Note You need to log in before you can comment on or make changes to this bug.